package com.xhpc.system.service;

import com.xhpc.system.domain.XhpcUserPrivilege;

import java.util.List;
import java.util.Map;

/**
 * 数据权限 服务层
 *
 * @author ruoyi
 */
public interface IXhpcUserPrivilegeService {

    /**
     * 新增数据权限
     *
     * @param xhpcUserPrivilege 数据权限信息
     * @return 结果
     */
    public int insert(XhpcUserPrivilege xhpcUserPrivilege);

    /**
     * 批量删数据权限信息
     *
     * @param userId 需要删除的数据ID
     * @return 结果
     */
    public void deleteByIds(Long userId);

    /**
     * 用户拥有数据权限
     *
     * @param userId 用户id
     * @return 结果
     */
    public List<Long> dataCheckedKeys(Long userId);

    /**
     * 数据权限构建前端所需要下拉树结构
     *
     * @param userId 用户id
     * @return 结果
     */
    public  List<Map<String, Object>> dataList(Long userId);

}
